Microsoft Global IME 5.0

Microsoft Global
IME 5.0 Team

Development /
Program Management

Benjamin Westbrook

Kevin Gjerstad

Yutaka Nakajima

Testing

Koi Walker

Raymond Hung

Wei Liang

Yoon Sung Kim

Wesley George

Ronin Su

Yukiko Imiya

Documentation

Hyo Kyoung Kim

Keiko Abe

Ye Jin Moon

Ji Eaon Bae

Steve Clarke

Doug Hampton

Emily Warn

Debra Kay Theil

Joe Oswald

Special Thanks To:

Yutaka Nakajima

Takeshi Hasegawa

Takeshi Fujimura

Beom Seok Oh

Gerard Zytniki

Viktor Grabner

Christian Wendt

William Rollison

Toshihiro Nagai

Joe Oswald

In Sook Choi

Shusuke Uehara

Nadine Kano

Yoon Jung Kim

Hyo Kyoung Kim

Microsoft Native IME Teams:

Osamu Adachi

Takeshi Fujimura

Hiroaki Kanokogi

Kotaro Yoshida

Seiji Ando

Takashi Umeoka

Toshiaki Kikka

Masayoshi Tadano

Yoshiharu Sato

Hirokazu Uchiyama

Hiroshi Goto

Junichi Nakata

Kazushige Kabayama

Makoto Nishioka

Masaaki Imai

Takehiro Nagase

Tetsuya Yamamoto

Yasuyuki Tomimatsu

Yuriko Sano

Boem Seok Oh

Baum Sauk Kim

Byung Chan Kim

Byung Kun Lee

Chae Seong Lim

Eun Jung Choi

Geoffrey Guo

Huey-Rong Stella Yang

Jee Young Yoo

Jin Hyung Woo

Jun Tang

Lit Wong

Seuk Soo Sung

Sun Gi Hong

William Kwok

Young Bum Pyon


 Microsoft Global IME 5.0

Microsoft Global IME 5.0
(한글 버전)

Copyright Microsoft Corporation 1998


Microsoft Global IME(한글 버전) 목차

IME에 대하여(한글)

IME에 대하여(한글)

IME란?

바탕 화면 위의 IME

한글 입력

한글 입력 시스템 구성

한글 메일 읽기 / 한글 메일 보내기

한글 인쇄

IME Basics (English)

IME Basics (English)


IME on your desktop

(Note: The Global IME for Korean is currently supported in html text input areas of Internet Explorer 4.0 or greater, Outlook Express and Outlook (version 98 or greater). The Microsoft Global IME will not be enabled nor its icon visible in the multilanguage taskbar menu when the cursor is placed in non-supporting areas or applications.)


바탕 화면 위의 IME

(참고: Microsoft Global IME 5.0은 현재 Internet Explorer 4.0 이상, Outlook Express, Outlook 98 이상 버전의 HTML 텍스트 입력 영역에서 사용할 수 있습니다. 지원되지 않는 영역 또는 응용 프로그램에 커서를 놓으면 Microsoft Global IME를 사용할 수 없거나 아이콘이 작업 표시줄의 다국어 메뉴에 나타나지 않습니다.)


Entering Korean Characters

IME Support

The Korean IME enables the input of Korean characters into html text input areas in Internet Explorer 4.0 or greater, Outlook Express and Outlook 98 or greater. The IME will not be enabled nor its icon visible in the multilanguage menu when the cursor is placed in non-supporting areas or applications.


Microsoft Global IME 5.0 지원

Microsoft Global IME는 Internet Explorer 4.0 이상, Outlook Express 및 Outlook 98 이상 버전에서 HTML 텍스트 입력 영역에 한글을 입력할 수 있도록 해줍니다. 지원되지 않는 영역이나 응용 프로그램에 커서를 놓으면 IME를 사용할 수 없거나 아이콘이 다국어 메뉴에 나타나지 않습니다. 이 IME를 지원하는 응용 프로그램이 차츰 늘어나고 있습니다.


What is an IME

Hangul

  • The Korean written language consists of 2 types of characters:
    1. Hangul 2,350 (KS C 5601-87) and 11,172 (MS C 5700)
    2. Hanja 4,888 (KS C 5601-87) and 7,744 (KS C 5700)

  • Each Hangul character consist of two types of sub-characters (Jamo):
    1. consonant: 30 (Basic: 14, Compound: 16)
    2. vowel: 21 (Basic: 10, Compound: 11)

  • One Hangul represents one phonetic syllable.
  • Each consonant or vowel symbol represents a unique sound.


Entering Korean Characters

To begin entering Korean characters, first place the cursor in an HTML edit area of Internet Explorer or in the message body of an Outlook Express mail message.

Using the multilanguage menu located on the taskbar, switch to the IME keyboard layout. Do this by clicking on the multilanguage indicator and then selecting the Korean IME from that list.

Once the IME is selected, a floating toolbar should appear on the screen. The Korean IME is selected and in single-byte Latin character (banja) mode at this point.

Activate hangul input by pressing the right ALT key on the 101-key keyboard. Pressing the right ALT key a second time deactivates hangul input.

One hangul consist of 2 type of characters, 30 consonants and 21 vowels. A Hangul has either L+V or L+V+T format, where L is Leading Consonant(19 characters), V is Vowel(21 characters) and T is Trailing Consonant(27 character).

Hangul Character Type

Type of letter | Hangul character
Basic consonants | ㄱ ㄴ ㄷ ㄹ ㅁ ㅂ ㅅ ㅇ ㅈ ㅊ ㅋ ㅌ ㅍ ㅎ
Basic vowels(10) | ㅏ ㅑ ㅓ ㅕ ㅗ ㅛ ㅜ ㅠ ㅡ ㅣ
Compound Consonants(16) | ㄲ ㅆ ㄸ ㅃ ㅉ ㄳ ㄵ ㄶ ㄺ ㄻ ㄼ ㄽ ㄾ ㄿ ㅀ ㅄ
Compound vowels(11) | ㅐ ㅒ ㅔ ㅖ ㅘ ㅙ ㅚ ㅝ ㅞ ㅟ ㅢ
*,* : Leading consonant ____
* : Vowel ____
*,* : Trailing consonant ____

A user types hangul characters, one consonant or vowel at a time.

The Korean IME displays Composition status of hangul characters as they are being composed. To distinguish Composing character from Completed character, the Global IME supports a block cursor.

Try the following: First Launch Internet Explorer 4.0 or Outlook Express and place the cursor in the appropriate edit area. To type the Korean word,GaNa, first change the IME to hangul mode. Now type the letters rksk and watch as the letters build from composing form to completed form.

Process of Hangul composition

To change the selected hangul letters to hanja, either click the third button on the toolbar or press the right Ctrl key. This will activate the candidate window.

Select the appropriate hanja character by clicking on the selection in the candidate window or by pressing the corresponding number.


한글 입력

한글을 입력하려면 우선 커서를 Internet Explorer의 HTML 편집 영역이나 Outlook Express 메일 메시지의 메시지 본문에 놓습니다.

작업 표시줄에 있는 다국어 메뉴를 사용하여 IME 키보드 레이아웃을 바꾸려면 다국어 표시기를 클릭하고 목록에서 Korean IME를 선택하십시오.

IME를 선택하면 화면에 IME 상태 창이 나타납니다. IME 상태 창은 기본적으로 영문 반자 입력 모드로 설정되어 있습니다.

101 키보드에서 오른쪽 Alt 키를 누르면 한글 입력이 가능해집니다. 다시 한번 오른쪽 Alt 키를 누르면 한글 입력 모드가 해제됩니다.

한글은 크게 자음 30자와 모음 21자로 나뉘는데, 한글 한 글자는 L+V 또는 L+V+T 형식으로 구성됩니다. 여기에서 L은 초성 자음(19자), V는 모음(21자), T는 종성 자음(27자)입니다.

한글 문자의 종류

종류 | 한글 문자
기본 자음 | ㄱ ㄴ ㄷ ㄹ ㅁ ㅂ ㅅ ㅇ ㅈ ㅊ ㅋ ㅌ ㅍ ㅎ
기본 모음(10) | ㅏ ㅑ ㅓ ㅕ ㅗ ㅛ ㅜ ㅠ ㅡ ㅣ
겹자음(16) | ㄲ ㅆ ㄸ ㅃ ㅉ ㄳ ㄵ ㄶ ㄺ ㄻ ㄼ ㄽ ㄾ ㄿ ㅀ ㅄ
겹모음(11) | ㅐ ㅒ ㅔ ㅖ ㅘ ㅙ ㅚ ㅝ ㅞ ㅟ ㅢ
*,* : 초성 자음 ____
* : 모음 ____
*,* : 종성 자음 ____

사용자는 자음 또는 모음을 한 번에 하나씩 입력할 수 있습니다.

한글 IME는 한글을 입력할 때 생성 상태를 표시해 줍니다. 완성된 글자와 생성 중인 글자를 구별하기 위해 Microsoft Global IME는 블록 커서를 지원합니다.

다음을 시도해 보십시오. - 우선 Internet Explorer 4.0 또는 Outlook Express를 시작하고 커서를 적당한 편집 영역에 놓습니다. 예를 들어, "가나"라는 단어를 입력하려면 우선 IME를 한글 모드로 변경합니다. 그 다음, "rksk"를 입력하면서 "가나"라는 한글이 입력되는 과정을 보십시오.

한글 생성 과정

선택한 한글을 한자로 바꾸려면 IME 상태 창의 세 번째 단추를 클릭하거나 오른쪽 키를 누릅니다. 그러면 한자 선택 창이 나타납니다.

한자 선택 창에서 원하는 한자를 클릭하거나 해당 번호를 누르면 한자를 선택할 수 있습니다.


한글 메일 보내기/읽기

Microsoft Outlook Express와 Outlook98을 사용하여 한글 메일 보내기/읽기

한글 메일 읽기
1. 읽을 메시지를 엽니다.
2. [보기] 메뉴에서 [언어]를 선택하고 사용할 문자 집합을 클릭합니다. (Outlook98의 [보기] 메뉴에서 [언어]가 보이지 않으면 메시지가 HTML 형식 이 아닌 경우입니다.)
3. 이 때 나타나는 대화 상자에서 [예]를 클릭하십시오.

메시지 머리글 파일에 바꾸려는 문자 집합이 들어 있는 모든 메시지가 선택된 언어로 표시됩니다.

메시지의 답장을 보낼 때는 원본과 동일한 문자 집합으로 보내게 됩니다. 회신할 때 문자 집합 설정값을 바꾸면 HTML로 메시지를 보내야만 원본이 제대로 표시되며, 이 경우 받는 쪽의 프로그램은 HTML을 읽을 수 있어야 합니다.

한글 메일 보내기
메시지에는 적절한 문자 집합에 대한 정확한 "태그"가 붙어 있기 때문에 받는 쪽의 전자 우편 프로그램이 텍스트 표시 방법을 알 수 있습니다.

1. 보낼 메시지를 열거나 작성합니다.
2. [서식] 메뉴에서 [언어]를 선택합니다.
3. [한국어]를 선택합니다.

Outlook 메일 메시지 형식
메일 메시지 형식은 HTML이어야 Microsoft Global IME를 사용할 수 있습니다. [도구] 메뉴에서 [옵션]을 선택하고 [메일 형식] 탭을 선택하십시오. [메시지 형식]을 [Microsoft Outlook 서식있는 문자열]에서 [HTML]로 바꾸십시오.

또한 메시지에서 [서식] 메뉴를 선택하고 [서식있는 문자열(HTML)]을 선택하면 개별적인 메시지에 대해서 이 작업을 수행할 수도 있습니다.


Sending / Reading Mail in Korean

Sending / Reading Mail in Korean with Microsoft Outlook Express and Outlook98

Reading Mail
1. Open the message you want to read.
2. On the View menu, point to Encoding, and then click the character set you want to use.
3. In the dialog box that appears, click Yes.

All messages whose header files contain the character set you want to replace will appear in the language you have chosen.

When you reply to the message, it is sent in the same character set as the original. If you change the character set setting in your reply, the original does not appear properly unless you send the message in HTML and the receiving program can read HTML.

Sending Mail
Messages must be "tagged" correctly with the appropriate character set so the receiving e-mail applications know how to display the text.

1. Open or create the message you want to send.
2. Find the Format menu and select Encoding.
3. Select Korean.

Outlook Mail Message Format
The mail message format must be in HTML to use the Global IME. Please find the Tools menu, select Options, then the Mail Format tab. Change your Message Format from Microsoft Outlook Rich Text to HTML.

Alternatively, when the mail message format is set to Plain Text you can change individual messages by going to the Format menu on your message and selecting Rich Text (HTML). Note: This is not an option when the mail message format is set to Microsoft Outlook Rich Text or Microsoft Word.


Korean Input Modes

Configuring Hangul Input System

To configure the input system, bring up the properities dialog by right-clicking on the pen icon and selecting 한글 입력 시스템 구성 from the pop-up menu.

There are 3 types of Korean Input Modes:
  • 2 BeolSik : Most widely used and default input mode
    Has Consonant (share Leading(L) and Trailing(T) consonant with same key tap) and Vowel

  • 3 BeolSik 390 version : Has different L and T consonants

  • 3 BeolSik Final version : Has different L and T consonants

Sample: 2 BeolSik (Left is Consonant and Right is Vowel)

When Hangul JasoDanWi Deletion checkbox is checked, the composing character is deleted by a consonant or vowel. When unchecked, the composing character is deleted one at a time.


한글 입력 시스템 구성

한글 입력 시스템을 구성하려면 IME 표시기(펜 모양 아이콘)을 마우스 오른쪽 단추로 클릭하고 팝업 메뉴에서 [image] 을 선택합니다.

한글 입력 방식에는 세 종류가 있습니다.
  • 두벌식 : 가장 일반적으로 사용하며 기본 입력 방식임
    자음(초성(L)과 종성(T)의 자음에 동일한 키를 사용)과 모음 키를 가짐

  • 세벌식 390 : 초성과 종성의 자음에 대해 서로 다른 키를 가짐

  • 세벌식 최종 : 초성과 종성의 자음에 대해 서로 다른 키를 가짐

한글 두벌식 키보드 (왼쪽은 자음, 오른쪽은 모음입니다)

[한글 자소 단위 삭제] 확인란을 선택하면 생성 중인 글자가 자음 또는 모음 단위로 삭제됩니다. 이 확인란을 선택하지 않으면 생성 중인 글자가 한 번에 모두 삭제됩니다.


한글 인쇄

한국어 Language Pack을 설치했으면 한글을 인쇄할 수 있습니다. 그러나 일부 프린터 제어기는 한글 인쇄를 지원하지 않을 수 있으므로 이런 경우, 제어기에 대한 지원은 프린터 제조 업체에 문의하십시오.


Printing Korean Text

Once you have installed the Korean Language Pack, you should be able to print Korean text. Some printer drivers do not support printing Korean text. Contact your printer manufacturer for a supporting driver.


What is an IME?

An IME (Input Method Editor) is an application that provides the ability to enter the thousands of different characters used in East Asian written languages without requiring special keyboards. A Korean IME converts keystrokes into hangul and hanja characters.

Korean language versions of Microsoft Windows95, Windows98 and WindowsNT 4.0 include the full-featured Microsoft IME (MSIME). MSIME, however, was designed to run on Korean language versions of Windows. The Microsoft Global IME for Korean is an ActiveX-based IME that enables the input of Korean characters in supporting applications (such as Internet Explorer and Outlook Express) on other language versions of Windows.


Microsoft Global IME 5.0이란?

Microsoft Global IME 5.0은 특별한 키보드 없이도 동아시아 여러 국가들이 사용하는 수 많은 종류의 문자들을 입력할 수 있게 해 주는 입력 시스템입니다. 한글 IME는 키 입력을 한글 또는 한자로 변환합니다.

Microsoft Windows95, Windows98 및 Windows NT4.0 한글 버전에는 Microsoft IME(MSIME)가 들어있습니다. 그러나 MSIME는 Windows 한글 버전에서 실행되도록 설계되었습니다. Microsoft Global IME는 ActiveX에 기초한 IME로, 다른 언어 버전의 Windows에서 이 IME 사용을 지원하는 응용 프로그램(예를 들어, Internet Explorer 및 Outlook Express)에서 한글을 입력할 수 있도록 해줍니다.